## python-ospurge 2.0.0+2019.10.11.git.990287677b

=== requirements.txt ===
pbr>=1.8 # Apache-2.0
six
typing>=3.5.2.2  # PSF
openstacksdk  # Apache-2.0

# Python 2.7 dependencies
funcsigs; python_version < '3.0'

=== debian/changelog ===
python-ospurge (2.0.0+2019.10.11.git.990287677b-2) unstable; urgency=medium

  * Upload source-only.
  * Fix VCS URLs (Closes: #946910).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2019 22:11:02 +0100

python-ospurge (2.0.0+2019.10.11.git.990287677b-1) unstable; urgency=medium

  * Initial release. (Closes: #943944)

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 12:05:21 +0100

=== debian/control ===
Source: python-ospurge
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-designateclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstacksdk,
 python3-senlinclient,
 python3-six,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ospurge
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ospurge.git
Homepage: https://opendev.org/x/ospurge

Package: python3-ospurge
Architecture: all
Depends:
 python3-openstacksdk,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client-side tool to delete all resources of an OpenStack project
 OSPurge is a standalone client-side tool that aims at deleting all resources,
 taking into account their interdependencies, in a specified OpenStack project.
 .
 OSPurge ensures in a quick and automated way that no resource is left behind
 when a project is deleted.
 .
 OSPurge can be used by a cloud administrator, this means a user with the admin
 role, to cleanup any project or by a non-privileged user to cleanup his own
 project.
 .
 At the moment it is possible to purge the following resources from a project:
  * Floating IP
  * Glance Images
  * Instances
  * Networks
  * Routers
  * Security groups
  * Swift containers
  * Swift objects
  * Volumes / Volume snapshots / Volume backups

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://opendev.org/x/ospurge
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf build .testrepository
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ospurge\.tests.*'
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
